package net.woodyfolsom.cs6601.p3.svc;

import java.util.Date;
import java.util.List;

import net.woodyfolsom.cs6601.p3.domain.Headline;

public interface HeadlineService {
	boolean assignRandomDatasets(int training/*, int test*/, int validation);
	int getCount();
	int getCount(int dataset);
	int insertHeadline(Headline headline);
	int[] insertHeadlines(List<Headline> headline);
	List<Headline> getHeadlines(String stock, Date date);
	List<Headline> getHeadlines(String stock, Date startDate, Date endDate, int dataset);
}